Download it now!
Bug 50221 - FILESAVE particular .xls (MSO97) will CRASH
Summary: FILESAVE particular .xls (MSO97) will CRASH
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:3.6.0
Keywords: regression
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-05-22 09:24 UTC by Rainer Bielefeld Retired
Modified: 2012-12-26 20:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-05-22 09:24:57 UTC
I observed that with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37) and attachment 61964 [details] of "Bug 50193 - FILESAVE particular .xls (MSO 97) takes long time"

Steps how to reproduce:
1. Open sample document from LibO Start Center
2. Save with different name as .xls (MSO97) (same format as original document)
   Expected: Simply saves
   Actual: CRASH

Was ok until 3.5.4 and older Master builds
Comment 1 Rainer Bielefeld Retired 2012-05-22 22:23:09 UTC
[Reproducible] with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7e65666]" (tinderbox: Win-x86@6-fast, pull time 2012-05-22 21:46:19)
Comment 2 Michael Meeks 2012-05-23 07:22:29 UTC
Trivial to reproduce vs. master, nice catch Rainer ! :-)

Eike - you seemed to touch this piece last (?)

#0  ScPatternAttr::IsVisible (this=0x61) at /home/opt/libreoffice/master/sc/source/core/data/patattr.cxx:1340
#1  0xae7acb5b in ScAttrArray::GetLastVisibleAttr (this=0x8a1a220, rLastRow=@0xbfffc8cc, nLastData=2699, bFullFormattedArea=true)
    at /home/opt/libreoffice/master/sc/source/core/data/attarray.cxx:1814
#2  0xae7c6d32 in ScColumn::GetLastVisibleAttr (this=0x8a1aef8, rLastRow=@0xbfffc8cc, bFullFormattedArea=true)
    at /home/opt/libreoffice/master/sc/source/core/data/column2.cxx:1438
#3  0xae8744af in ScTable::GetPrintArea (this=0x8a1aee0, rEndCol=@0xbfffcace, rEndRow=@0xbfffcabc, bNotes=true, bFullFormattedArea=true)
    at /home/opt/libreoffice/master/sc/source/core/data/table1.cxx:608
#4  0xae7f8558 in ScDocument::GetFormattedAndUsedArea (this=0x8a05948, nTab=0, rEndCol=@0xbfffcace, rEndRow=@0xbfffcabc)
    at /home/opt/libreoffice/master/sc/source/core/data/document.cxx:969
#5  0xae1162ed in XclExpCellTable::XclExpCellTable (this=0x95f1c30, rRoot=...)
    at /home/opt/libreoffice/master/sc/source/filter/excel/xetable.cxx:2188
#6  0xae0928d1 in ExcTable::FillAsTable (this=0x974ff38, nCodeNameIdx=0) at /home/opt/libreoffice/master/sc/source/filter/excel/excdoc.cxx:432
#7  0xae09343a in ExcDocument::ReadDoc (this=0x9778a20) at /home/opt/libreoffice/master/sc/source/filter/excel/excdoc.cxx:741
#8  0xae0a74c3 in ExportBiff5::Write (this=0xbfffce00) at /home/opt/libreoffice/master/sc/source/filter/excel/expop2.cxx:102
#9  0xae095324 in lcl_ExportExcelBiff (rMedium=..., pDocument=0x8a05948, pMedStrm=0x97a4f58, bBiff8=1 '\001', eNach=1)
    at /home/opt/libreoffice/master/sc/source/filter/excel/excel.cxx:188
#10 0xaea4992f in ScDocShell::ConvertTo (this=0x8a05908, rMed=...) at /home/opt/libreoffice/master/sc/source/ui/docshell/docsh.cxx:2153
#11 0xb6af38c3 in SfxObjectShell::SaveTo_Impl (this=0x8a05908, rMedium=..., pSet=0x0)
    at /home/opt/libreoffice/master/sfx2/source/doc/objstor.cxx:1523
#12 0xb6af3af3 in SfxObjectShell::PreDoSaveAs_Impl (this=0x8a05908, rFileName="file:///tmp/crash.xls", aFilterName="MS Excel 97", pParams=
    0x97398f8) at /home/opt/libreoffice/master/sfx2/source/doc/objstor.cxx:2742
#13 0xb6af41b0 in SfxObjectShell::CommonSaveAs_Impl (this=0x8a05908, aURL=..., aFilterName="MS Excel 97", aParams=0x9739db0)
    at /home/opt/libreoffice/master/sfx2/source/doc/objstor.cxx:2606
#14 0xb6ae48fa in SfxObjectShell::APISaveAs_Impl (this=0x8a05908, aFileName="file:///tmp/crash.xls", aParams=0x9739db0)
    at /home/opt/libreoffice/master/sfx2/source/doc/objserv.cxx:342

Thanks !
Comment 3 Kohei Yoshida 2012-05-23 07:44:19 UTC
Don't forget to CC Markus.  He's been doing more commits than I have been in sc these days.
Comment 4 Eike Rathke 2012-05-23 08:09:01 UTC
I guess that's mine..
Comment 5 Eike Rathke 2012-05-24 03:44:42 UTC
resolved in master with
http://cgit.freedesktop.org/libreoffice/core/commit/?id=816f65da41c8c30e5854e333a6498e58c64303aa
that has a wrong bug number in commit summary.
Comment 6 Matthieu 2012-12-26 20:44:44 UTC
Hello,

Can you explain how to build a 3.5.7 without the regression?

Thank you.